#include <avr/io.h>
#include <inttypes.h>
#include <stdio.h>

#include "uart0.h"
#include "rtc.h"
#include "touchpad.h"

int main(void) {
	uint8_t action;
	
	// UARTs initialisieren
	rtcInit();
	uart0Init();
	
	// kurz warten
	for(volatile uint32_t i=0; i<100000; i++);
	
	puts_P(PSTR("Touchpad initialisieren... "));
	touchpadInit();
	puts_P(PSTR("OK!\r\r"));
	
	while(1) {
		action = touchpadGetAction();
		switch(action) {
			case TP_ACT_B1_PRESSED:
				puts_P(PSTR("Button 1 pressed\r"));
				break;
			case TP_ACT_B1_RELEASED:
				puts_P(PSTR("Button 1 released\r"));
				break;
			case TP_ACT_B2_PRESSED:
				puts_P(PSTR("Button 2 pressed\r"));
				break;
			case TP_ACT_B2_RELEASED:
				puts_P(PSTR("Button 2 released\r"));
				break;
			case TP_ACT_B3_PRESSED:
				puts_P(PSTR("Button 3 pressed\r"));
				break;
			case TP_ACT_B3_RELEASED:
				puts_P(PSTR("Button 3 released\r"));
				break;
			case TP_ACT_B4_PRESSED:
				puts_P(PSTR("Button 4 pressed\r"));
				break;
			case TP_ACT_B4_RELEASED:
				puts_P(PSTR("Button 4 released\r"));
				break;
			case TP_ACT_B5_PRESSED:
				puts_P(PSTR("Button 5 pressed\r"));
				break;
			case TP_ACT_B5_RELEASED:
				puts_P(PSTR("Button 5 released\r"));
				break;
			case TP_ACT_SLIDER_CHANGED:
				printf_P(PSTR("Slider changed: %u\r"), tpSliderValue);
				break;
			case TP_ACT_WHEEL_UP:
				puts_P(PSTR("Wheel up\r"));
				break;
			case TP_ACT_WHEEL_DOWN:
				puts_P(PSTR("Wheel down\r"));
				break;
		}
	}
	
	return 1;
}
